petsc-3.12.4 2020-02-04
Report Typos and Errors

# PETSC_VIEWER_HDF5_

Creates an HDF5 PetscViewer shared by all processors in a communicator.

### Synopsis

    #include "petscviewerhdf5.h"
    PetscViewer PETSC_VIEWER_HDF5_(MPI_Comm comm)

Collective

### Input Parameter

comm -the MPI communicator to share the HDF5 PetscViewer

### Options Database Keys

-viewer_hdf5_filename <name> - Environmental variables:
PETSC_VIEWER_HDF5_FILENAME - Notes: Unlike almost all other PETSc routines, PETSC_VIEWER_HDF5_ does not return an error code. The HDF5 PetscViewer is usually used in the form

          XXXView(XXX object, PETSC_VIEWER_HDF5_(comm));

### See Also

PetscViewerHDF5Open(), PetscViewerCreate(), PetscViewerDestroy()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages